io.vertx.rxjava.mqtt.messages

## Class MqttUnsubscribeMessage

- java.lang.Object
- - io.vertx.rxjava.mqtt.messages.MqttUnsubscribeMessage

- All Implemented Interfaces:
    MqttMessage

      public class MqttUnsubscribeMessage
      extends Object
      implements MqttMessage

  Represents an MQTT UNSUBSCRIBE message

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<MqttUnsubscribeMessage>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MqttUnsubscribeMessage(MqttUnsubscribeMessage delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MqttUnsubscribeMessage` | `getDelegate()`
    `int` | `messageId()`
    `static MqttUnsubscribeMessage` | `newInstance(MqttUnsubscribeMessage arg)`
    `List<String>` | `topics()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.mqtt.messages.MqttMessage

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<MqttUnsubscribeMessage> __TYPE_ARG

  - ### Constructor Detail

    - #### MqttUnsubscribeMessage

          public MqttUnsubscribeMessage(MqttUnsubscribeMessage delegate)

  - ### Method Detail

    - #### getDelegate

          public MqttUnsubscribeMessage getDelegate()

      Specified by:
        `getDelegate` in interface `MqttMessage`

    - #### messageId

          public int messageId()

      Specified by:
        `messageId` in interface `MqttMessage`
      Returns:
        Message identifier

    - #### topics

          public List<String> topics()

      Returns:
        List of topics to unsubscribe

    - #### newInstance

          public static MqttUnsubscribeMessage newInstance(MqttUnsubscribeMessage arg)

Copyright © 2017. All rights reserved.